/* SCHEDULER 
 Author Peter Dannegger 
 
 
 */

#include <avr/io.h>
#include <avr/interrupt.h>

#define XTAL 8.0e6

#define TIMERTICK	(XTAL / 256 / 256)	// timer ticks per second

#define SECONDS(x)	((uint)(TIMERTICK * x + 0.5))

#define uchar unsigned char
#define uint unsigned int
#define bit uchar
#define idata
#define code

typedef void (code *funcp)(void);

//define t_res		uchar		// define time resolution  8 bit
#define t_res		uint		// define time resolution 16 bit

#define MotorspeedON				PORTC |= (1<<PINC1)
#define MotorspeedOFF				PORTC &= ~(1<<PINC1)
#define MotorLinksON				PORTC |= (1<<PINC2)
#define MotorLinksOFF				PORTC &= ~(1<<PINC2)
#define MotorRechtsON				PORTC |= (1<<PINC3)
#define MotorRechtsOFF				PORTC &= ~(1<<PINC3)



#define IniRearSlow					PIND & ( 1 << PIND5  )


extern volatile uchar f_timer_tick;	// timer flag

extern uchar get_key_press( uchar key_mask );

void timertick(void);

bit timeradd( funcp func, t_res delay );

bit timerremove( funcp func );

void timerinit(void);

void iniIO(void);

void Motor(void);
